summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2017-09-24 12:27:26 +0200
committerJeroen Roovers <jer@gentoo.org>2017-09-24 21:20:43 +0200
commitb17291d12e89bfce6922771c176c27eb80a7c649 (patch)
tree25ea8fb69e1e325f67cc23379a6c74fed4bbff87 /app-forensics
parentsci-calculators/units: Stable for HPPA too. (diff)
downloadgentoo-b17291d12e89bfce6922771c176c27eb80a7c649.tar.gz
gentoo-b17291d12e89bfce6922771c176c27eb80a7c649.tar.bz2
gentoo-b17291d12e89bfce6922771c176c27eb80a7c649.zip
app-forensics/dfxml: From dev-libs to app-forensics.
Package-Manager: Portage-2.3.10, Repoman-2.3.3
Diffstat (limited to 'app-forensics')
-rw-r--r--app-forensics/dfxml/Manifest1
-rw-r--r--app-forensics/dfxml/dfxml-20170921.ebuild40
-rw-r--r--app-forensics/dfxml/dfxml-99999999.ebuild35
-rw-r--r--app-forensics/dfxml/metadata.xml7
4 files changed, 83 insertions, 0 deletions
diff --git a/app-forensics/dfxml/Manifest b/app-forensics/dfxml/Manifest
new file mode 100644
index 00000000000..1ca18a4b31f
--- /dev/null
+++ b/app-forensics/dfxml/Manifest
@@ -0,0 +1 @@
+DIST dfxml-20170921.tar.gz 163616 SHA256 f24bd6c149d07f9ed1089fc25afdab2451f6615e57d5f25529e8d2a59989bc18 SHA512 0885947aaf8efe639c13324413ef0cca49750027b48b434f226fb9fbfba494e84e245da879dc0d77b46bddc27798f7f5df12590fce47b096683034bbc61280e1 WHIRLPOOL b693966c0da1b228415b1416cd3a7a3c25212d0c29839054739aa3fb821a9b429166d8be3e1c58bdcacdacc25fc2c9664e3aadc8aa40c060ec11fc7ca865145d
diff --git a/app-forensics/dfxml/dfxml-20170921.ebuild b/app-forensics/dfxml/dfxml-20170921.ebuild
new file mode 100644
index 00000000000..fa4fcd22ca6
--- /dev/null
+++ b/app-forensics/dfxml/dfxml-20170921.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools
+
+DESCRIPTION="Digital Forensics XML"
+HOMEPAGE="https://github.com/simsong/dfxml"
+SRC_URI="https://api.github.com/repos/simsong/${PN}/tarball/7d11eaa7da8d31f588ce8aecb4b4f5e7e8169ba6 -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ dev-libs/expat
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+S=${WORKDIR}/${P}/src
+
+src_unpack() {
+ unpack ${A}
+ mv simsong-dfxml-* ${P} || die
+}
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_install() {
+ default
+
+ insinto /usr/share/aclocal
+ doins dfxml_configure.m4
+}
diff --git a/app-forensics/dfxml/dfxml-99999999.ebuild b/app-forensics/dfxml/dfxml-99999999.ebuild
new file mode 100644
index 00000000000..1ec11d75492
--- /dev/null
+++ b/app-forensics/dfxml/dfxml-99999999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools git-r3
+
+DESCRIPTION="Digital Forensics XML"
+HOMEPAGE="https://github.com/simsong/dfxml"
+EGIT_REPO_URI="${HOMEPAGE}"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS=""
+
+DEPEND="
+ dev-libs/expat
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+S=${WORKDIR}/${P}/src
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_install() {
+ default
+
+ insinto /usr/share/aclocal
+ doins dfxml_configure.m4
+}
diff --git a/app-forensics/dfxml/metadata.xml b/app-forensics/dfxml/metadata.xml
new file mode 100644
index 00000000000..825589988b4
--- /dev/null
+++ b/app-forensics/dfxml/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+<email>netmon@gentoo.org</email>
+</maintainer>
+</pkgmetadata>